using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] st = Console.ReadLine().Split();
            int n = int.Parse(st[0]); int k = int.Parse(st[1]);
            st = Console.ReadLine().Split();
            if (int.Parse(st[n - 1]) == k) Console.WriteLine(int.Parse(st[0]));
            else
            {
                for (int i = 0; i < n - 1; i++) if (int.Parse(st[i]) == k)
                    {
                        Console.WriteLine(int.Parse(st[i + 1]));
                        break;
                    } 
            }
            Console.ReadLine();
        }
    }
}